Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Public Attributes
tlp::DataType Struct Reference

`#include <Reflect.h>`

Inheritance diagram for tlp::DataType:
[legend]
Collaboration diagram for tlp::DataType:
[legend]

List of all members.

## Public Member Functions

- DataType ()
- DataType (void *value)
- virtual DataType * clone () const =0
- virtual std::string getTypeName () const =0

## Public Attributes

- void * value

## Constructor & Destructor Documentation

tlp::DataType::DataType | ( |  | ) | `[inline]`

tlp::DataType::DataType | ( | void * | value | ) | `[inline]`

## Member Function Documentation

virtual DataType* tlp::DataType::clone | ( |  | ) | const`[pure virtual]`

Implemented in tlp::TypedData< T >.

virtual std::string tlp::DataType::getTypeName | ( |  | ) | const`[pure virtual]`

Implemented in tlp::TypedData< T >.

## Member Data Documentation

void* tlp::DataType::value

Tulip Software by LaBRI Visualization Team 2001 - 2012